Home > Technical Documentation > Man Pages > timedate.py

# timedate.py: Time/Date Utility (ver. 0.2)

Set the time and date on an HP Officejet.

Usage: timedate.py [PRINTER|DEVICE-URI] [OPTIONS]

[PRINTER|DEVICE-URI] (See Notes)

To specify a device-URI: | -d<device-uri> or --device=<device-uri>
To specify a CUPS printer: | -p<printer> or --printer=<printer>

[OPTIONS]

Bus to probe (if device not specified): | -b<bus> or --bus=<bus>
| <bus>: cups*, usb*, net, bt, fw, par* (*defaults) (Note: bt and fw not supported in this release.)
Set the logging level: | -l<level> or --logging=<level>
| <level>: none, info*, error, warn, debug (*default)
This help information: | -h or --help

Notes:

1. If device or printer is not specified, the local device bus is probed and the program enters interactive mode.

2. If -p* is specified, the default CUPS printer will be used.

Page last updated: Fri Sep 28 16:44:59 2007; HPLIP Version: 2.7.9